﻿@model TroskovnikNatjecajViewModel

@{ 
    ViewData["Title"] = "Troškovnik " + Model.Naslov;
}


<div class="container">
    <div class="form-group row">
        <div class="col-sm-8">
            <h4>@Model.Id/@Model.Naslov</h4>
        </div>
    </div>
</div>

<div class="row justify-content-sm-center">
    <div class="col-sm-1 text-right">
        <a asp-action="Edit"
           asp-route-id="@Model.Id"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Ažuriraj" target="_blank"><i class="fas fa-edit"></i></a>
    </div>
    <div class="col-sm-1 text-center">
        <form asp-action="Delete" method="post"
              asp-route-page="@ViewBag.Page"
              asp-route-sort="@ViewBag.Sort"
              asp-route-ascending="@ViewBag.Ascending">
            <input type="hidden" name="Id" value="@Model.Id" />
            <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                <i class="fas fa-trash-alt"></i>
            </button>
        </form>
    </div>
    <div class="col-sm-1 text-left">
        <a asp-action="Index"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Povratak na popis troškovnika"><i class="fas fa-undo-alt"></i></a>
    </div>
</div>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            @{
                string[] nazivi = {"Stavka", "Količina", "Jedinična Mjera" };
                for (int i = 0; i < nazivi.Length; i++)
                {
                    <th>
                        @nazivi[i]
                    </th>
                }
            }
        </tr>
    </thead>

    <tbody>
        @foreach (var stavka in Model.stavke)
        {
        <tr>
            <td class="text-left col-sm-2">
                @stavka.Opis
            </td>
            <td class="text-left col-sm-2">
                @stavka.Kolicina
            </td>
            <td class="text-left col-sm-2">
                @stavka.Naziv
            </td>
        </tr>
        }
    </tbody>
</table>